### Method

# Soup WebsocketConnection get_connection_type

#### Declaration [src]

    SoupWebsocketConnectionType
    soup_websocket_connection_get_connection_type (
      SoupWebsocketConnection* self
    )

#### Description [src]

Get the connection type (client/server) of the connection.

Gets property | `Soup.WebsocketConnection:connection-type`

#### Return value

Type: `SoupWebsocketConnectionType`

The connection type.